Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.logger
Class FileOutput

    java.lang.Object
      com.rsa.authagent.authapi.logger.LoggerOutput
          com.rsa.authagent.authapi.logger.FileOutput

    public class FileOutput

extends LoggerOutput

File Output for the logger.

Field Summary

Fields inherited from class com.rsa.authagent.authapi.logger.LoggerOutput
`CONSOLE_OUTPUT, FILE_OUTPUT, RSA_LOG_TO_CONSOLE, RSA_LOG_TO_FILE`

Constructor Summary
`FileOutput()` Constructs a FileOutput object using the default file.
`FileOutput(java.lang.String name)` Constructs a FileOutput object using the specified file.

Method Summary
`java.lang.String` | `getOutputName()` Retrieves the name of the output file.
`void` | `setOutputName(java.lang.String outputName)` Sets the name of the output file.

Methods inherited from class com.rsa.authagent.authapi.logger.LoggerOutput
`getOutputType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileOutput

    public FileOutput()

  Constructs a FileOutput object using the default file.

### FileOutput

    public FileOutput(java.lang.String name)

  Constructs a FileOutput object using the specified file.

  Parameters:
    `name` - the name of the file.

Method Detail

### getOutputName

    public java.lang.String getOutputName()

  Retrieves the name of the output file.

  Returns:
    the name of the file.

### setOutputName

    public void setOutputName(java.lang.String outputName)

  Sets the name of the output file.

  Parameters:
    `name` - the name of the file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.